<html>
    <head>
        <title>
            SE Code of Ethics
        </title>
    </head>
    <body>
        <i>
            Science and Engineering Ethics (2001) 7. 231-238
        </i>
        <hr>
        <h1>Software Engineering Code of Ethics and Professional Practice</h1>
        <h2>IEE-CS/ACM Join Task Force on Software Engineering Ethics and Professional Practices</h2>
        <hr>
        <p><b>KeyWords:</b>code of ethics, professional responsibility, software engineering</p>
        <h2>PREAMBLE</h2>
        <p>The short version of the code summarizes aspirations at high level of abstraction
            that are included in the full version give examples and details of how these aspirations change
            the way we act as software engineering professionals. Without the aspirations the details can become legalistic
            and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations 
            and the details form a cohensive code. </p>
            <p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing,
                and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health,
                safety, and welfare of public, software engineers shall adhere to the following eight Principles;
            </p>
            <h2>Principles</h2>
            <ol>
                <li><i>Public.</i> Software Engineers shall act consistent with the public interest</li>
                <li><i>Client and Employer.</i>Software engineers shall act in a manner  that is in the best interests of their client and employer, consistent with the public interest </li>
                <li><i>Product.</i>Software Engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
                <li><i>Judgement.</i>Software Engineers shall maintain integrity and independence in their professional judgement</li>
                <li><i>Management.</i>Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance</li>
                <li><i>Profession</i>Software engineers shall advance the integrity and reputation of the profession consistent with the public interest</li>
                <li><i>Colleagues</i>Software engineers shall be fair to and supportive of their colleagues</li>
                <li><i>Self.</i>Software engineers shall participate in life long learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
            </ol>
    </body>
</html>